window.addEventListener("message", receiveMessage, false);

function receiveMessage(event) {
    let contacts = event.data.contacts;

    contacts.forEach(contact => {
        let option = document.createElement("option");
        option.value = contact.idContact;
        option.text = contact.shortName;
        document.getElementById("contacts").appendChild(option);
    });
}

function getSelected() {

    let message = {
        action: "chooseContact",
        idContact: "",
    }

    let selectedContactId = document.getElementById('contacts').selectedOptions[0] !== undefined ? parseInt(document.getElementById('contacts').selectedOptions[0].value) : null;

    if (selectedContactId) {
        message.idContact = selectedContactId;
        window.opener.postMessage(message);
        window.close();
    } else {
        window.opener.Services.prompt.alert(window, "CRM Vision", `Należy wskazać kontakt do którego ma zostać przypisana wiadomość.`);
    }


}