(async () => {
    messenger.WindowListener.registerDefaultPrefs("defaults/preferences/crm_vision_extension.js");

    messenger.WindowListener.registerChromeUrl([
        ["content", "crm_vision_extension", "content/"],
    ]);

    messenger.WindowListener.registerWindow(
        "chrome://messenger/content/messenger.xhtml",
        "chrome://crm_vision_extension/content/mainOverlay.js");


    messenger.WindowListener.startListening();

    messenger.NotifyTools.onNotifyBackground.addListener(async (info) => {
        switch (info.command) {
          case "getSelectedMessages":
            return messenger.mailTabs.getSelectedMessages();
            break;
        case "getMessage":
            return messenger.messages.get(info.idMessage);
            break;
        case "getFullMessage":
            return messenger.messages.getFull(info.idMessage);
            break;
        }
      });
})();