window.addEventListener("message", receiveMessage, false);

function receiveMessage(event) {
    let projects = event.data;

    projects.forEach(project => {
        let option = document.createElement("option");
        option.value = project.idProject;
        option.text = project.name;
        document.getElementById("projects").appendChild(option);
    });
}

function enableProjectsList(enable) {
    if (enable) {
        document.getElementById('projects').removeAttribute('disabled');
    } else {
        document.getElementById('projects').setAttribute('disabled', "");
    }
}

function getSelected() {

    let message = {
        action: "chooseProject",
        idProject: "",
        isAssignEmailToProject: ""
    }

    let selectedProject = document.getElementById('projects').selectedOptions[0] !== undefined ? parseInt(document.getElementById('projects').selectedOptions[0].value) : null;
    let assignToProjectRadioSelected = Array.from(document.getElementsByName("assignToProject")).filter(elem => elem.checked);
    let isAssignToProject = assignToProjectRadioSelected[0].value === 'true';

    message.isAssignEmailToProject = isAssignToProject;
    if (!isAssignToProject) {
        window.opener.postMessage(message);
        window.close();
    }

    if (isAssignToProject && selectedProject) {
        message.idProject = selectedProject;
        window.opener.postMessage(message);
        window.close();
    } else {
        if (isAssignToProject && !selectedProject) {
            window.opener.Services.prompt.alert(window, "CRM Vision", `Należy wskazać projekt do którego ma zostać przypisana wiadomość.`);
        }
    }
}